/*
 * @Author: jiangzaicheng jiangzaicheng_jzc@163.com
 * @Date: 2022-07-22 15:33:25
 * @LastEditors: jiangzaicheng jiangzaicheng_jzc@163.com
 * @LastEditTime: 2022-07-25 18:33:12
 * @FilePath: \mcep-h5\src\router\workbench.routing.ts
 * @Description: 这是默认设置,请设置`customMade`, 打开koroFileHeader查看配置 进行设置: https://github.com/OBKoro1/koro1FileHeader/wiki/%E9%85%8D%E7%BD%AE
 */
import { propsConvert } from "@/services/props-convert";

const prefix = "/workbench";

const workbenchRoutes = [
  {
    path: `/PersonLod`,
    name: 'PersonLod',
    component: () => import(/* webpackChunkName: "customer-mgt" */ "@/views/workbench/PersonLod.vue"),
    props: propsConvert,
    meta: { keepAlive: false, requiresAuth: true, name: "主页" },
  },
  {
    path: `/modifyInfo`,
    name: 'modifyInfo',
    component: () => import(/* webpackChunkName: "customer-mgt" */ "@/views/workbench/modifyInfo.vue"),
    props: propsConvert,
    meta: { keepAlive: false, requiresAuth: true, name: "修改信息" },
  },
  {
    path: `/businessProgress`,
    name: 'businessProgress',
    component: () => import(/* webpackChunkName: "customer-mgt" */ "@/views/workbench/businessProgress.vue"),
    props: propsConvert,
    meta: { keepAlive: false, requiresAuth: true, name: "业务进度" },
  },

  
  {
    path: `/modifyPassword`,
    name: 'modifyPassword',
    component: () => import(/* webpackChunkName: "customer-mgt" */ "@/views/workbench/modifyPassword.vue"),
    props: propsConvert,
    meta: { keepAlive: false, requiresAuth: true, name: "修改密码" },
  },
  
 
  {
    path: `/AccommodMain`,
    name: 'AccommodMain',
    component: () => import(/* webpackChunkName: "customer-mgt" */ "@/views/workbench/AccommodMain.vue"),
    props: propsConvert,
    meta: { keepAlive: false, requiresAuth: true, name: "贷款主页" },
  },
  {
    path: `/Accommodation`,
    name: 'Accommodation',
    component: () => import(/* webpackChunkName: "customer-mgt" */ "@/views/workbench/Accommodation.vue"),
    props: propsConvert,
    meta: { keepAlive: false, requiresAuth: true, name: "贷款信息" },
  },
  {
    path: `/AccommodDetails`,
    name: 'AccommodDetails',
    component: () => import(/* webpackChunkName: "customer-mgt" */ "@/views/workbench/AccommodDetails.vue"),
    props: propsConvert,
    meta: { keepAlive: false, requiresAuth: true, name: "贷款详情" },
  },
  {
    path: `/Repaymentlond`,
    name: 'Repaymentlond',
    component: () => import(/* webpackChunkName: "customer-mgt" */ "@/views/workbench/Repayment.vue"),
    props: propsConvert,
    meta: { keepAlive: false, requiresAuth: true, name: "还款计划" },
  },
  {
    path: `/Growth`,
    name: 'Growth',
    component: () => import(/* webpackChunkName: "customer-mgt" */ "@/views/workbench/Growth.vue"),
    props: propsConvert,
    meta: { keepAlive: false, requiresAuth: true, name: "成长值" },
  },
  {
    path: `/CooperationBusiness`,
    name: 'CooperationBusiness',
    component: () => import(/* webpackChunkName: "customer-mgt" */ "@/views/workbench/CooperationBusiness.vue"),
    props: propsConvert,
    meta: { keepAlive: false, requiresAuth: true, name: "合作企业" },
  },
  {
    path: `/ExchangeRecord`,
    name: 'ExchangeRecord',
    component: () => import(/* webpackChunkName: "customer-mgt" */ "@/views/workbench/ExchangeRecord.vue"),
    props: propsConvert,
    meta: { keepAlive: false, requiresAuth: true, name: "兑换记录" },
  },
  {
    path: `/ExchangeDetail`,
    name: 'ExchangeDetail',
    component: () => import(/* webpackChunkName: "customer-mgt" */ "@/views/workbench/ExchangeDetail.vue"),
    props: propsConvert,
    meta: { keepAlive: false, requiresAuth: true, name: "兑换详情" },
  },
];
export default workbenchRoutes;
